6 Replies Latest reply: Jun 3, 2009 9:10 AM by user11226740 RSS

    Problem connecting SQL Developer 1.5.1 with Subversion 1.5 (win XP)

    654054
      Hi I'm trying to connect the latest version of SQL Developer 1.5.1 to an svn version 1.5 repository.

      I'm on a win XP machine. (svn is on Linux red hat)

      The error I see is;
      Testing read access for repository svn://<xxxxxxxxxxx>/var/svn...
      svn: Malformed network data
      svn: Malformed network data
      Access refused.

      I'm able to connect to other (older versions of svn) repositories.

      I notice that SQL Developer uses SVNkit 1.1.6. and I have a feeling that this is not compatible with svn 1.5

      Has anyone encountered this problem or has anyone successfully connected SQL DEV 1.5.1 to SVN 1.5?

      Regards,
      Patrick


      note: the svn repository is a source code repository. (.java .class and .sql files.)
      there is no DB data there, and no DB schema. (other than in the .sql files)
      I'm saying this because I'm not an SQL specialist, (and even then, I'm mainly mysql!) and I seem to get the impression that source control to SQL guys might mean something slightly different. i.e. versioning a DB rather than the source code that creates a DB. If I'm wrong about this, apologies! ;)

      Message was edited by:
      user651051
        • 1. Re: Problem connecting SQL Developer 1.5.1 with Subversion 1.5 (win XP)
          user594768
          The problem is with svnkit. Until now sqldeveloper use version 1.1.6.
          You can fix this with svnkit 1.2. You have to download it from http://www.svnkit.com/org.tmatesoft.svn_1.2.0.standalone.zip and put some files into sqldeveloper extension directory.

          copy
          - jna.jar
          - svnkit-javahl.jar (rename into svnjavahl.jar)
          - svnkit.jar
          - svnkitsrc.zip
          - trilead.jar

          from svnkit 1.2 to

          %sqldeveloper%\jdev\extensions\oracle.jdeveloper.subversion

          It works for me.
          • 2. Re: Problem connecting SQL Developer 1.5.1 with Subversion 1.5 (win XP)
            Jim Smith
            note: the svn repository is a source code repository. (.java .class and .sql files.)
            there is no DB data there, and no DB schema. (other than in the .sql files)
            I'm saying this because I'm not an SQL specialist, (and even then, I'm mainly mysql!) and I seem to get the impression that source control to SQL guys might mean something slightly different. i.e. versioning a DB rather than the source code that creates a DB. If I'm wrong about this, apologies! ;)
            There are arguments both ways, but the current implementation in SQLDeveloper only supports version control on source files. IMO there needs to be a link between the vc repository, the source file you are working on and the object it creates in the database.

            As it stands, you can edit and compile a procedure in the database, but if you don't remember to extract it back to its source file, you end up with a mismatch. Similarly, if you edit the source file and forget to run it into the database you end up with a mismatch.
            • 3. Re: Problem connecting SQL Developer 1.5.1 with Subversion 1.5 (win XP)
              -K-
              Yeah, that should have been addressed right from the beginning...
              For now, you can still vote on the feature request asking to combine file and internal editor (the solution to versioning, compiling and running/debugging): http://htmldb.oracle.com/pls/otn/f?p=42626:39:2572465713320559::NO::P39_ID:3262, so you add weight for implementing sooner.

              Thanks,
              K.
              • 4. Re: Problem connecting SQL Developer 1.5.1 with Subversion 1.5 (win XP)
                Jim Smith
                I've already voted for that and raised one of my own about the version control issues. I don't hold out much hope.
                • 5. Re: Problem connecting SQL Developer 1.5.1 with Subversion 1.5 (win XP)
                  245725
                  Thanks,
                  I had similiar issue. I created local SVN repository using TortoiseSVN 1.5.5 using Subversion 1.5.4
                  I followed the suggestion (getting new svnkit and copying file ) and now I'm able to open this repository by SQL Developer

                  Edited by: akhilmishra on Nov 4, 2008 12:19 PM
                  • 6. Re: Problem connecting SQL Developer 1.5.1 with Subversion 1.5 (win XP)
                    user11226740
                    I just copied/replaced/renamed files according to these instructions but only get an error message

                    SEVERE     37     0     oracle.ide.IdeCore     Exception firing addinsLoaded to oracle.jdevimpl.vcs.VCSManagerImpl$7@1966070

                    when I start SQL Developer. This is with SQL Developer 1.5.4 and SVNkit 1.3.0 on WinXP.

                    Any suggestions?